import { Component, Input } from '@angular/core';
import { RouterLink, RouterLinkActive } from '@angular/router';
import { CommonNzModule } from '../../../../../common.nz.module';

const mockPaths = [
  {
    path: '/manager/auth',
    icon: 'share-alt',
    label: '权限管理',
  },
  // {
  //   path: '/manager/task',
  //   icon: 'icons:task',
  //   label: '任务列表',
  // },
  // {
  //   path: '/manager/base-data',
  //   icon: 'icons:db',
  //   label: '基础数据',
  // },
  // {
  //   path: 'user',
  //   icon: 'icons:user',
  //   label: '用户管理',
  // },
  // {
  //   path: 'question',
  //   icon: 'icons:star',
  //   label: '题库管理',
  // },
  // {
  //   path: 'report',
  //   icon: 'icons:folder',
  //   label: '报表管理',
  // },
  // {
  //   path: 'dashboard',
  //   icon: 'icons:dashboard',
  //   label: '数据看板',
  // },
  // {
  //   path: 'ability',
  //   icon: 'icons:ability',
  //   label: '能力评估',
  // },
];

@Component({
  selector: 'sidebar-navigation',
  standalone: true,
  imports: [RouterLink, RouterLinkActive, CommonNzModule],
  templateUrl: './navigation.component.html',
  styleUrl: './navigation.component.less',
})
export class NavigationComponent {
  constructor() {}
  @Input() collapsed = false;

  paths = [...mockPaths];
}
