import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
import { Title } from '@angular/platform-browser';
import { RouterOutlet } from '@angular/router';
import { NzIconModule } from 'ng-zorro-antd/icon';
import { NzLayoutModule } from 'ng-zorro-antd/layout';
import { NzMenuModule } from 'ng-zorro-antd/menu';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [CommonModule, RouterOutlet, NzIconModule, NzLayoutModule, NzMenuModule],
  template: '<router-outlet></router-outlet>',
  styleUrls: ['./app.component.less'],
})
export class AppComponent {
  isCollapsed = false; // 用于控制布局中的侧边栏是否折叠

  constructor(title: Title) {
    title.setTitle('城市轨道交通安全生产检查与评估系统v2.0');
  }
}
